[ 
https://issues.apache.org/jira/browse/SLING-7423?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16360681#comment-16360681
 ] 

Oliver Lietz commented on SLING-7423:
-------------------------------------

[~rombert], see the umbrella issue SLING-7446 and SLING-7438 for Testing 
PaxExam. Everything is already in place for Oak 1.8 (see branch feature/oak-1.8 
in each module involved).

> Upgrade Oak to 1.8
> ------------------
>
>                 Key: SLING-7423
>                 URL: https://issues.apache.org/jira/browse/SLING-7423
>             Project: Sling
>          Issue Type: Sub-task
>    Affects Versions: JCR Oak Server 1.1.4
>            Reporter: Christian Schneider
>            Assignee: Oliver Lietz
>            Priority: Major
>
> The oak server bundle currently does not work with Oak 1.7 and 1.8 as the API 
> was changed in an incompatible way. We should adapt to these changes. See 
> below for the changed classes.
> 1.6
> import org.apache.jackrabbit.oak.plugins.index.aggregate.NodeAggregator; 
> import org.apache.jackrabbit.oak.plugins.nodetype.write.InitialContent;
> import org.apache.jackrabbit.oak.spi.whiteboard.WhiteboardIndexEditorProvider;
> import org.apache.jackrabbit.oak.spi.whiteboard.WhiteboardIndexProvider;
> 1.7
> import org.apache.jackrabbit.oak.spi.query.QueryIndex.NodeAggregator; -> 
> oak-query-spi
> import org.apache.jackrabbit.oak.InitialContent; -> oak-core
> import org.apache.jackrabbit.oak.spi.query.WhiteboardIndexProvider; -> 
> oak-query-spi
> import org.apache.jackrabbit.oak.plugins.index.WhiteboardIndexEditorProvider; 
> -> oak-core
> ----
> Preparing for Oak 1.8 in branch 
> [feature/oak-1.8|https://github.com/apache/sling-org-apache-sling-jcr-oak-server/tree/feature/oak-1.8].
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to